# Uses of Interface
org.bukkit.plugin.messaging.Messenger

Packages that use Messenger
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.plugin.messaging
Classes dedicated to specialized plugin to client protocols.

## Uses of Messenger in org.bukkit

Methods in org.bukkit that return Messenger
Modifier and Type
Method
Description
`static @NotNull Messenger`
Bukkit.`getMessenger()`
Gets the `Messenger` responsible for this server.
`@NotNull Messenger`
Server.`getMessenger()`
Gets the `Messenger` responsible for this server.

## Uses of Messenger in org.bukkit.plugin.messaging

Classes in org.bukkit.plugin.messaging that implement Messenger
Modifier and Type
Class
Description
`class`
`StandardMessenger`
Standard implementation to `Messenger`
Methods in org.bukkit.plugin.messaging with parameters of type Messenger
Modifier and Type
Method
Description
`static void`
StandardMessenger.`validatePluginMessage(@NotNull Messenger messenger, @NotNull Plugin source, @NotNull String channel, @org.jetbrains.annotations.NotNull byte[] message)`
Validates the input of a Plugin Message, ensuring the arguments are all valid.
Constructors in org.bukkit.plugin.messaging with parameters of type Messenger
Modifier
Constructor
Description
``
`PluginMessageListenerRegistration(@NotNull Messenger messenger, @NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`